Subject: Re: /.well-known (RFC5785) vs versioned APIs [and EST/RFC7030]

From: Sean Turner <[email-masked]>
Date: Fri, 12 Apr 2019 22:24:55 -0400

> On Feb 25, 2019, at 01:57, Carsten Bormann <[email-masked]> wrote:
> 
> The /.well-known/est stuff mainly seems to be there  because there is a belief that implementers in this space want to nail down everything and won’t do the discovery.

This is an old wound that has healed, but to set the record straight.

To be clear EST originally did not use /.well-known/.  See:
https://datatracker.ietf.org/doc/draft-ietf-pkix-est/03/
EST had what I would consider configured URLs, but then we got this AppsDir review [0]:
https://mailarchive.ietf.org/arch/msg/apps-discuss/79XSmazioZo40HQWNyIUGqqEjn4
And, here we are.

I am not sure but maybe the use of the HTTP Accept header, as is used in RFC 8295 “EST Extension”, could help let a server know that the encoding of the day is supported by the client.  The format for the PAL (Product Availability List), either XML or JSON,  is returned based on the GET and the HTTP accept header sent to the server.

spt

[0] https://mailarchive.ietf.org/arch/msg/appsdir/AzCx4MA1YeSFW0lQR7xuLvA-N7k FYI It didn’t go down so great.  The implementers were unhappy that they had to switch.